Fix lua 5.3 support

Send your patches here
Post Reply
Dimonyga
Posts: 2
Joined: 07 Mar 2017, 05:24

Fix lua 5.3 support

Post by Dimonyga » 07 Mar 2017, 05:28

http://lua-users.org/lists/lua-l/2011-07/msg00708.html

В новой версии убрали Алиас

#define luaL_reg luaL_Reg

Поправил в коде. На 5.1 влиять не должно.
Attachments
fix_lua53_build.patch.gz
(359 Bytes) Downloaded 7 times

Dmitry
Администратор
Posts: 671
Joined: 09 Oct 2014, 10:06

Re: Fix lua 5.3 support

Post by Dmitry » 27 Mar 2017, 12:13

commit b72efa378b32980f2114bcb8081fafbd93096aa0

nik247
Posts: 49
Joined: 11 Oct 2014, 15:57

Re: Fix lua 5.3 support

Post by nik247 » 27 Mar 2017, 21:10

C LUA 5.3 версия 1.11(git b335be86bde20fab93e32cdd512162c43009d584) собирается, но падает сразу после старта (при обращении к LUA):
/usr/sbin/accel-pppd: symbol lookup error: /usr/lib/accel-ppp/libipoe.so: undefined symbol: lua_open

C LUA 5.2 версия 1.11(git b335be86bde20fab93e32cdd512162c43009d584) тоже самое.
/usr/sbin/accel-pppd: symbol lookup error: /usr/lib/accel-ppp/libipoe.so: undefined symbol: lua_open

C LUA 5.1 версия 1.11(git b335be86bde20fab93e32cdd512162c43009d584) запускается и работает нормально (на стенде без особой нагрузки)

Сборка проводилась на Debian 7 32bit.
Ключи для сборки использовались такие:
-DLUA_LIBRARY=/usr/lib/i386-linux-gnu/liblua5.2.so -DLUA_INCLUDE_DIR=/usr/include/lua5.2 \
-DLUA_LIBRARY=/usr/lib/i386-linux-gnu/liblua5.3.so -DLUA_INCLUDE_DIR=/usr/include/lua5.3 \

Установлены пакеты:
#aptitude search liblua5 | grep ^i
i liblua5.1-0 - Shared library for the Lua interpreter ver
i liblua5.1-0-dev - Development files for the Lua language ver
i liblua5.2-0 - Shared library for the Lua interpreter ver
i liblua5.2-dev - Development files for the Lua language ver
i liblua5.3-0 - Shared library for the Lua interpreter ver
i liblua5.3-dev - Development files for the Lua language ver

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest